Subject: Re: bug#57953: 29.0.50; crash on xwidget-browse-url

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 20 Sep 2022 15:29:28 +0200

Po Lu <[email-masked]> writes:

> That has some side effects, as we don't want every program run inside
> Emacs to run with sandboxing disabled, which is a security risk.

Yes, that's a good point.  But that's also the case with the method
we're recommending in the PROBLEMS file, so...

> Plus, it could potentially also make other programs think they are being
> run inside Snap.  But I don't know the repercussions of that, they are
> probably minor or negligible.

Hm...  but the current state of affairs is highly undesirable -- we
shouldn't crash Emacs.  So we should refuse to run the command if we
think running it is going to crash Emacs.